M2PS(1)

NAME
m2ps -- converter from Mule code (*internal*) to PostScript

SYNOPSIS
m2ps [ options ] < infile > outfile

DESCRIPTION
m2ps runs as a filter and converts a text encoded in Mule internal code (called *internal*) to a PostScript program to print it. To handle a text not coded in *internal*, you have to convert the code to *internal* at first. You can use coco for the code conversion. You can also use any2ps to do all the job (code conversion and PostScript generation).

OPTIONS

-ps file
    Use file as a header for PostScript.

-dpi num
    Use num as a resulution of output device. Default is 300.

-fs num
    Use num as FontScale in point. Default is 10.

-lp num
    Use num as LinePitch in point. Default is 14.

-ml num
    Use num as a line counts in a page. Default is 56.

-tm num
    Use num as a TopMargin in point. Default is 800.

-lm num
    Use num as LeftMargin in point. Default is 30.

-sm Indicate your PostScript printer has short memory.

-bm Indicate your PostScript printer has large memory. This is the default.

-fp pathlist
    Use pathlist as a comma-separated search path of BDF files.

-cs file
    Use file as a path of a file CHARSETS which contains information of character sets and fonts.

-a4 Indicate A4 paper size. This is the default.

-us Indicate US-LETTER paper size.

-ver
    Shows version number.

FONT SPECIFICATION
m2ps search for BDF files according to a pathlist (list of comma-separeated directory) and filenames described in file CHARSETS. Each line of this file contains information about one character set. The line has 7 to 9 columns each separated by ':'. The columns are: LEADING-CHAR, BYTES, COLUMNS, TYPE, GRAPHIC, FINAL-CHAR, DIRECTION, DOCUMENT, BDF-FILE, and ENCODING. By modifying this file, you can specify different BDF files. You don't have to specify ENCODING for 2-byte character sets such as Chinese, Japanese, and Korean (as for Big5, you should specify 1 for ETen and 2 for HKU).

FILES
/usr/local/lib/emacs/$VERSION/etc/m2ps.ps - PostScript header file. /usr/local/lib/emacs/$VERSION/etc/CHARSETS - A file which contains information of character sets and fonts. /usr/local/lib/emacs/$VERSION/etc/CODINGS - A file which contains information of coding-systems and priorities. /usr/local/lib/emacs/$VERSION/etc/demo.ps - PostScript file created by m2ps. The Original file is in 'doc' directory.

SEE ALSO
mule(1), coco(1), any2ps(1)

AUTHORS

This program was written by Ken'ichi HANDA of Electrotechnical Laboratory, JAPAN.